Package org.gradle.api.reporting.dependents

# Class DependentComponentsReport

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.reporting.dependents.DependentComponentsReport

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Produces only non-cacheable console output") public abstract class DependentComponentsReport extends DefaultTask
Deprecated.
Displays dependent components.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependentComponentsReport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getComponents()`
  Deprecated.
  Returns the components to generate the report for.
  `protected abstract org.gradle.model.internal.registry.ModelRegistry`
  `getModelRegistry()`
  Deprecated.
  `boolean`
  `getShowAll()`
  Deprecated.
  Should this include both non-buildable and test suites in the report?
  `protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`
  Deprecated.
  `protected abstract org.gradle.internal.work.WorkerLeaseService`
  `getWorkerLeaseService()`
  Deprecated.
  `boolean`
  `isShowNonBuildable()`
  Deprecated.
  Should this include non-buildable components in the report?
  `boolean`
  `isShowTestSuites()`
  Deprecated.
  Should this include test suites in the report?
  `void`
  `report()`
  Deprecated.
  `void`
  `setComponents(List<String> components)`
  Deprecated.
  Sets the components to generate the report for.
  `void`
  `setShowAll(boolean showAll)`
  Deprecated.
  Set this to include both non buildable components and test suites in the report.
  `void`
  `setShowNonBuildable(boolean showNonBuildable)`
  Deprecated.
  `void`
  `setShowTestSuites(boolean showTestSuites)`
  Deprecated.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### DependentComponentsReport

    @Inject public DependentComponentsReport()
    Deprecated.

- ## Method Details

  - ### isShowNonBuildable

    @Console public boolean isShowNonBuildable()
    Deprecated.
    Should this include non-buildable components in the report?

  - ### setShowNonBuildable

    public void setShowNonBuildable(boolean showNonBuildable)
    Deprecated.

  - ### isShowTestSuites

    @Console public boolean isShowTestSuites()
    Deprecated.
    Should this include test suites in the report?

  - ### setShowTestSuites

    public void setShowTestSuites(boolean showTestSuites)
    Deprecated.

  - ### getShowAll

    @Console public boolean getShowAll()
    Deprecated.
    Should this include both non-buildable and test suites in the report?

  - ### setShowAll

    public void setShowAll(boolean showAll)
    Deprecated.
    Set this to include both non buildable components and test suites in the report.

  - ### getComponents

    @Console public List<String> getComponents()
    Deprecated.
    Returns the components to generate the report for. Defaults to all components of this project.
    Returns:
      the components.

  - ### setComponents

    public void setComponents(List<String> components)
    Deprecated.
    Sets the components to generate the report for.
    Parameters:
      `components` - the components.

  - ### getTextOutputFactory

    @Inject protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()
    Deprecated.

  - ### getModelRegistry

    @Inject protected abstract org.gradle.model.internal.registry.ModelRegistry getModelRegistry()
    Deprecated.

  - ### getWorkerLeaseService

    @Inject protected abstract org.gradle.internal.work.WorkerLeaseService getWorkerLeaseService()
    Deprecated.

  - ### report

    public void report()
    Deprecated.